Page MenuHomeFreeBSD

devel/radare2: Update to 2.8.0
ClosedPublic

Authored by manu on Aug 10 2018, 10:15 AM.

Details

Summary

While here, unbreak on arm64
This was broken because of the debugger part of radare2.
Those patches fix that even if the debugger still doesn't work
due to lack of some ptrace function in the FreeBSD aarch64 port.
The patches were submitted and commited upstream.

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu created this revision.Aug 10 2018, 10:15 AM
mat added inline comments.Aug 10 2018, 12:16 PM
devel/radare2/Makefile
5 ↗(On Diff #46503)

Not needed.

manu added inline comments.Aug 10 2018, 12:34 PM
devel/radare2/Makefile
5 ↗(On Diff #46503)

Why ? Because no aarch64 package was generated before ?

manu added inline comments.Aug 10 2018, 12:37 PM
devel/radare2/Makefile
5 ↗(On Diff #46503)

Ok found the reason explain in the porters handbook.

manu updated this revision to Diff 46510.Aug 10 2018, 12:39 PM

Remove unneeded PORTREVISION

manu marked an inline comment as done.Aug 10 2018, 12:39 PM

Hi @manu ,

Many thanks for the patch!

Patch looks good and thanks for upstream submitting.
Port version is 2.7.0, the actual version is 2.8, yours is 2.6.9. I suppose it's better to fix version discrepancy and use 2.8.0. Could you please update patch?

Merci bien! ;)

manu added a comment.Aug 11 2018, 5:59 PM

Hi @manu ,
Many thanks for the patch!
Patch looks good and thanks for upstream submitting.
Port version is 2.7.0, the actual version is 2.8, yours is 2.6.9. I suppose it's better to fix version discrepancy and use 2.8.0. Could you please update patch?
Merci bien! ;)

Right, I had an old ports tree on my arm64 box.
I'll go ahead and update to 2.8.0 and check if everything is ok.

manu retitled this revision from devel/radare2: Unbreak on arm64 to devel/radare2: Update to 2.8.0.Aug 12 2018, 5:06 AM
manu edited the summary of this revision. (Show Details)
manu updated this revision to Diff 46589.
mizhka_gmail.com accepted this revision.Aug 12 2018, 5:38 AM
This revision is now accepted and ready to land.Aug 12 2018, 5:38 AM
This revision was automatically updated to reflect the committed changes.